extends Node

func _ready() -> void:
	$AudioStreamPlayer.play()


func _on_boss_area_body_entered(_body: Node2D) -> void:
	$AudioStreamPlayer.get_stream_playback().switch_to_clip_by_name("Boss")


func _on_boss_area_body_exited(_body: Node2D) -> void:
	$AudioStreamPlayer.get_stream_playback().switch_to_clip_by_name("Base")
